Package org.codehaus.groovy.runtime.metaclass

# Class MetaMethodIndex.Cache

java.lang.Object
org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Cache

Enclosing class:
  MetaMethodIndex

public static class MetaMethodIndex.Cache extends Object
A cache of metamethods indexed by name.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `MetaMethodIndex.MetaMethodCache`
  `cachedMethod`
  Cached method result for normal calls
  `MetaMethodIndex.MetaMethodCache`
  `cachedMethodForSuper`
  Cached method result for super calls
  `MetaMethodIndex.MetaMethodCache`
  `cachedStaticMethod`
  Cached static method result
  `Object`
  `methods`
  A list of methods or a single method
  `Object`
  `methodsForSuper`
  Methods available for super calls
  `final String`
  `name`
  The method name
  `Object`
  `staticMethods`
  Static methods for this name

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Cache(String name)`
  Constructs a new Cache for the given method name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public final String name
    The method name

  - ### methods

    public Object methods
    A list of methods or a single method

  - ### methodsForSuper

    public Object methodsForSuper
    Methods available for super calls

  - ### staticMethods

    public Object staticMethods
    Static methods for this name

  - ### cachedMethod

    public MetaMethodIndex.MetaMethodCache cachedMethod
    Cached method result for normal calls

  - ### cachedMethodForSuper

    public MetaMethodIndex.MetaMethodCache cachedMethodForSuper
    Cached method result for super calls

  - ### cachedStaticMethod

    public MetaMethodIndex.MetaMethodCache cachedStaticMethod
    Cached static method result

- ## Constructor Details

  - ### Cache

    public Cache(String name)
    Constructs a new Cache for the given method name.
    Parameters:
      `name` - the method name

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`